Bug 105426 - Add tests to cover what transition-timing-function accepts for cubic-bezier values.
: Add tests to cover what transition-timing-function accepts for cubic-bezier v...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Alexis Menard (darktears)
: WebExposed
Depends on:
Blocks: 93136
  Show dependency treegraph
 
Reported: 2012-12-19 06:05 PST by Alexis Menard (darktears)
Modified: 2013-01-09 03:53 PST (History)
8 users (show)

See Also:


Attachments
Patch (14.82 KB, patch)
2012-12-21 04:53 PST, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Patch (17.01 KB, patch)
2012-12-21 05:47 PST, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Patch (11.50 KB, patch)
2013-01-03 10:45 PST, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Menard (darktears) 2012-12-19 06:05:45 PST
As stated by http://www.w3.org/TR/css3-transitions/#transition-timing-function

cubic-bezier
Specifies a cubic-bezier curve. The four values specify points P1 and P2 of the curve as (x1, y1, x2, y2). Both x values must be in the range [0, 1] or the definition is invalid. The y values can exceed this range.

WebKit accepts "cubic-bezier(3, 0.1, 4, 1)" and does not reject the value as it should.
Comment 1 Alexis Menard (darktears) 2012-12-21 04:53:00 PST
Created attachment 180501 [details]
Patch
Comment 2 Alexis Menard (darktears) 2012-12-21 05:47:27 PST
Created attachment 180506 [details]
Patch
Comment 3 Peter Beverloo 2013-01-02 09:11:49 PST
I removed the clamping in r96276 following discussion on www-style:
  http://lists.w3.org/Archives/Public/www-style/2010Apr/0489.html
  http://lists.w3.org/Archives/Public/www-style/2010Jun/0254.html

It seems like the specification still hasn't been updated, even though the last ED isn't that old. Dean, do you have any plans to update it, or have new concerns come up?

http://dev.w3.org/csswg/css3-transitions/#transition-timing-function-property
Comment 4 Alexis Menard (darktears) 2013-01-02 12:31:23 PST
(In reply to comment #3)
> I removed the clamping in r96276 following discussion on www-style:
>   http://lists.w3.org/Archives/Public/www-style/2010Apr/0489.html
>   http://lists.w3.org/Archives/Public/www-style/2010Jun/0254.html
> 
> It seems like the specification still hasn't been updated, even though the last ED isn't that old. Dean, do you have any plans to update it, or have new concerns come up?
> 
> http://dev.w3.org/csswg/css3-transitions/#transition-timing-function-property

Well if Dean confirms then I just need to update the tests to make sure we cover the behaviour correctly.
Comment 5 Simon Fraser (smfr) 2013-01-02 21:06:29 PST
Yes, we should allow Y values to be > 1.
Comment 6 Alexis Menard (darktears) 2013-01-03 10:45:11 PST
Created attachment 181189 [details]
Patch
Comment 7 WebKit Review Bot 2013-01-03 11:07:06 PST
Comment on attachment 181189 [details]
Patch

Clearing flags on attachment: 181189

Committed r138721: <http://trac.webkit.org/changeset/138721>
Comment 8 WebKit Review Bot 2013-01-03 11:07:10 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Dean Jackson 2013-01-08 12:32:08 PST
Oops. We should clamp the X values though. It was my fault in the other bug:
https://bugs.webkit.org/show_bug.cgi?id=45761

The spec is correct AFAICT.
Comment 10 Dean Jackson 2013-01-08 12:32:35 PST
i.e. cubic-bezier(3, 0.1, 4, 1) should end up as cubic-bezier(1, 0.1, 1, 1)
Comment 11 Alexis Menard (darktears) 2013-01-09 03:53:14 PST
Fixed by https://bugs.webkit.org/show_bug.cgi?id=106369. Closing the bug.